create_clock -name refclk -period 8 [get_ports gtx_refclk_n]

create_clock -name rxusrclk -period 4 [get_pins -hierarchical -filter {name =~ */rxusrclk_bufg/O}]
create_clock -name rxusrclk2 -period 8 [get_pins -hierarchical -filter {name =~ */rxusrclk2_bufg/O}]
create_clock -name txusrclk -period 4 [get_pins -hierarchical -filter {name =~ */txusrclk_bufg/O}]
create_clock -name txusrclk2 -period 8 [get_pins -hierarchical -filter {name =~ */txusrclk2_bufg/O}]

set_clock_groups -asynchronous \
    -group [get_clocks -include_generated_clocks -of_objects [get_ports gtx_refclk_n]] \
    -group [get_clocks -include_generated_clocks -of_objects [get_pins -hier -filter {name =~ */rxusrclk*_bufg/O}]] \
    -group [get_clocks -include_generated_clocks -of_objects [get_pins -hier -filter {name =~ */txusrclk*_bufg/O}]]

set_property LOC GTPE2_CHANNEL_X0Y2 [get_cells -hierarchical -filter {name =~ */gtpe2_i}]

set_property PACKAGE_PIN B6 [get_ports gtx_refclk_p];
set_property PACKAGE_PIN B5 [get_ports gtx_refclk_n];

set_property PACKAGE_PIN K18 [get_ports "gpio_led[0]"]; # Main board LED
set_property PACKAGE_PIN C12 [get_ports "gpio_led[1]"]; # Carrier Green LED
set_property PACKAGE_PIN B12 [get_ports "gpio_led[2]"]; # Disconnected
set_property PACKAGE_PIN D11 [get_ports "gpio_led[3]"]; # Carrier Red LED
set_property PACKAGE_PIN A12 [get_ports "gpio_led[4]"]; # Disconnected
set_property PACKAGE_PIN A13 [get_ports "gpio_led[5]"]; # Disconnected
set_property PACKAGE_PIN A14 [get_ports "gpio_led[6]"]; # Disconnected
set_property PACKAGE_PIN C14 [get_ports "gpio_led[7]"]; # Disconnected

set_property IOSTANDARD LVCMOS33 [get_ports "gpio_led[*]"]
set_false_path -to [get_ports -filter {NAME=~gpio_led*}]
